Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface MessageType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface MessageType

extends XmlObject

An XML messageType(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `MessageType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`Data` | `addNewMessage()` Appends and returns a new empty "message" element
`Data` | `getMessage()` Gets the "message" element
`String` | `getMimeType()` Gets the "mime-type" element
`boolean` | `isSetMimeType()` True if has "mime-type" element
`void` | `setMessage(Data message)` Sets the "message" element
`void` | `setMimeType(String mimeType)` Sets the "mime-type" element
`void` | `unsetMimeType()` Unsets the "mime-type" element
`XmlString` | `xgetMimeType()` Gets (as xml) the "mime-type" element
`void` | `xsetMimeType(XmlString mimeType)` Sets (as xml) the "mime-type" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getMessage

    Data getMessage()

  Gets the "message" element

### setMessage

    void setMessage(Data message)

  Sets the "message" element

### addNewMessage

    Data addNewMessage()

  Appends and returns a new empty "message" element

### getMimeType

    String getMimeType()

  Gets the "mime-type" element

### xgetMimeType

    XmlString xgetMimeType()

  Gets (as xml) the "mime-type" element

### isSetMimeType

    boolean isSetMimeType()

  True if has "mime-type" element

### setMimeType

    void setMimeType(String mimeType)

  Sets the "mime-type" element

### xsetMimeType

    void xsetMimeType(XmlString mimeType)

  Sets (as xml) the "mime-type" element

### unsetMimeType

    void unsetMimeType()

  Unsets the "mime-type" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD